KRAKEN(1)

NAME
kraken - assigning taxonomic labels to short DNA sequences

SYNOPSIS
kraken [options] <filename(s)>

OPTIONS

--db NAME
    Name for Kraken DB (default: none)

--threads NUM
    Number of threads (default: 1)

--fasta-input
    Input is FASTA format

--fastq-input
    Input is FASTQ format

--gzip-compressed
    Input is gzip compressed

--bzip2-compressed
    Input is bzip2 compressed

--quick
    Quick operation (use first hit or hits)

--min-hits NUM
    In quick op., number of hits req'd for classification NOTE: this is ignored if --quick is not specified

--unclassified-out FILENAME
    Print unclassified sequences to filename

--classified-out FILENAME
    Print classified sequences to filename

--output FILENAME
    Print output to filename (default: stdout); "-" will suppress normal output

--only-classified-output
    Print no Kraken output for unclassified sequences

--preload
    Loads DB into memory before classification

--paired
    The two filenames provided are paired-end reads

--check-names
    Ensure each pair of reads have names that agree with each other; ignored if --paired is not specified

--help
    Print this message

--version
    Print version information

If none of the *-input or *-compressed flags are specified, and the file is a regular file, automatic format detection is attempted.